Bug 208321 - [GTK] media/muted-video-is-playing-audio.html is timing out
Summary: [GTK] media/muted-video-is-playing-audio.html is timing out
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Enrique Ocaña
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-02-27 08:54 PST by Diego Pino
Modified: 2021-06-24 10:24 PDT (History)
10 users (show)

See Also:


Attachments
Patch (9.86 KB, patch)
2021-06-23 07:41 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (10.04 KB, patch)
2021-06-23 08:28 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (10.09 KB, patch)
2021-06-23 08:53 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Pino 2020-02-27 08:54:37 PST
* media/muted-video-is-playing-audio.html [ Timeout Pass ]

The test started to timeout since:

[r247684-r247691]             UNKNOWN
r247692                       NOERROR
[r247693-r247699]             UNKNOWN
r247700                       TIMEOUT PASS (Expected: PASS)
r247701                       UNKNOWN
Comment 1 Diego Pino 2021-06-09 01:48:19 PDT
The test has been consistently timing out for the last 4000 revisions:

https://build.webkit.org/results/GTK-Linux-64-bit-Release-Tests/r278650%20%282224%29/media/muted-video-is-playing-audio-diff.txt

--- /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/muted-video-is-playing-audio-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/muted-video-is-playing-audio-actual.txt
@@ -1,15 +1,2 @@
-Testing that muting a video element should result in page's audio playing state to become false
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-PASS window.internals.pageMediaState().includes('IsPlayingAudio') became true
-PASS window.internals.pageMediaState().includes('IsPlayingAudio') became false
-PASS window.internals.pageMediaState().includes('IsPlayingAudio') became true
-PASS successfullyParsed is true
-
-TEST COMPLETE
-
-RUN(video.muted = true)
-RUN(video.muted = false)
-

Gardened in r278654.
Comment 2 Enrique Ocaña 2021-06-23 07:41:56 PDT
Created attachment 432039 [details]
Patch
Comment 3 Enrique Ocaña 2021-06-23 08:28:31 PDT
Created attachment 432046 [details]
Patch
Comment 4 Xabier Rodríguez Calvar 2021-06-23 08:35:15 PDT
Comment on attachment 432046 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=432046&action=review

LGTM but let's wait until tomorrow to land this and let's ensure the Apple ports do not regress anything.

> Source/WebCore/testing/Internals.cpp:4821
> +void Internals::setMediaVolume(float volume)

setPageMediaVolume or setPageVolume
Comment 5 Enrique Ocaña 2021-06-23 08:53:45 PDT
Created attachment 432054 [details]
Patch
Comment 6 EWS 2021-06-24 02:31:23 PDT
Committed r279217 (239103@main): <https://commits.webkit.org/239103@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432054 [details].
Comment 7 Radar WebKit Bug Importer 2021-06-24 02:32:17 PDT
<rdar://problem/79716787>